This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 180739 - shift-control-N to open new window propogates cwd
shift-control-N to open new window propogates cwd
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 17:40 EST by Robert Walsh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 19:06:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Walsh 2006-02-09 17:40:43 EST
If I hit shift-control-N to create a new gnome-terminal window, the resulting
shell has the same current working directory as the window I hit shift-control-N
in.  I'm not aware of any other terminal emulator that does this, but I haven't
looked very hard either.  It certainly doesn't happen on my Mac's Terminal
application.

This behavior seems profoundly wrong to me, but that's just a personal
preference.  What would be nice would be a mechanism to allow the newly-minted
terminal window to have the cwd set to $HOME.  I can see two ways of doing this:
either a profile option (probably under "Title and Command") or a different key
binding to handle the new behavior.
Comment 1 Christian Iseli 2007-01-22 06:34:57 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Robert Walsh 2007-01-22 19:06:41 EST
Sorry - I'm using a mac these days, so I've no way of verifying.  I will close
this out.

Note You need to log in before you can comment on or make changes to this bug.